OpenCV: cv::Exception Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::Exception Class Reference
Core functionality » Utility and system functions and macros

Class passed to an error. More...

`#include "core.hpp"`

Inheritance diagram for cv::Exception:

## Public Member Functions
| Exception ()
| Exception (int _code, const String &_err, const String &_func, const String &_file, int _line)
virtual | ~Exception () throw ()
void | formatMessage ()
virtual const char * | what () const CV_OVERRIDE throw ()

## Public Attributes
int | code
| error code More...
String | err
| error description More...
String | file
| source file name where the error has occurred More...
String | func
| function name. Available only when the compiler supports getting it More...
int | line
| line number in the source file where the error has occurred More...
String | msg
| the formatted error message More...

## Detailed Description

Class passed to an error.

This class encapsulates all or almost all necessary information about the error happened in the program. The exception is usually constructed and thrown implicitly via CV_Error and CV_Error_ macros.

See also
  error

Examples:
  hog.cpp, and pca.cpp.

## Constructor & Destructor Documentation

## ◆ Exception() [1/2]

cv::Exception::Exception | ( |  | ) |

Default constructor

## ◆ Exception() [2/2]

cv::Exception::Exception | ( | int | _code,
|  | const String & | _err,
|  | const String & | _func,
|  | const String & | _file,
|  | int | _line
| ) |  |

Full constructor. Normally the constructor is not called explicitly. Instead, the macros CV_Error(), CV_Error_() and CV_Assert() are used.

## ◆ ~Exception()

virtual cv::Exception::~Exception | ( |  | ) |
throw | ( |
| ) |  |
| virtual

## Member Function Documentation

## ◆ formatMessage()

void cv::Exception::formatMessage | ( |  | ) |

## ◆ what()

virtual const char* cv::Exception::what | ( |  | ) | const
throw | ( |
| ) |  |
| virtual

Returns
  the error description and the context as a text string.

Examples:
  hog.cpp.

## Member Data Documentation

## ◆ code

int cv::Exception::code

error code

See also
  CVStatus

## ◆ err

String cv::Exception::err

error description

## ◆ file

String cv::Exception::file

source file name where the error has occurred

## ◆ func

String cv::Exception::func

function name. Available only when the compiler supports getting it

## ◆ line

int cv::Exception::line

line number in the source file where the error has occurred

## ◆ msg

String cv::Exception::msg

the formatted error message

Examples:
  pca.cpp.

The documentation for this class was generated from the following file:

- core/include/opencv2/core.hpp